"use strict";
this.name	     = "Synchronised Torus";
this.version     = "0.91";    // Date 2015-12-11
this.description = "World script for awarding torus drive synchronisation equipment at start-up";
this.author	     = "Fritz G.";   
this.copyright	 = "© 2015 Fritz G.";
this.licence	 = "CC BY-NC-SA 4.0";

//------------------------------------------------------------------------------------------------------------
// For information and configuration see st_equipment.js
//------------------------------------------------------------------------------------------------------------

// Award primable equipment at startup.
// It is assumed that every ship can do torus synchronisation without the player having to buy 
// additional equipment, because every ship can do it in Escort Contracts OXP too. The equipment 
// is only needed for starting and stopping the synchronisation by pressing a key.
this.startUp = function() 
{
	if(!player.ship.awardEquipment("EQ_SYNC_TORUS")) 
	{	
		log("Synchronised Torus: failed to award equipment EQ_SYNC_TORUS");
	}
	else
	{
		log("Synchronised Torus: equipment EQ_SYNC_TORUS successfully awarded");
	}
};


